<!doctype html>
<html>
<body>
<h2>Programming concepts</h2>
<h3>Android Architecture</h3>
<img src="file:///android_asset/img/architecture.png" alt="Android Architecture"/>
<h3>Android component</h3>
<p>The main <i>Android</i> components:
<ul>
  <li><i>Activity</i></li>
  <li><i>Fragment</i></li>
  <li><i>Service</i></li>
  <li><i>BroadcastReceiver</i></li>
  <li><i>Content Provider</i></li>
  <li><i>Intent</i></li>
  <li><i>Application</i></li>
</ul></p>
<p>The <i>Activity</i> lifecycle:<br>
<img src="file:///android_asset/img/activity_lifecycle.png" alt="Activity lifecycle"/></p>
<p>Example of <i>Manifeste</i> file:<br>
<code>
&lt;manifest xmlns:android="http://schemas.android.com/apk/res/android"  package="com.chillcoding.hello"&gt;
<br>&lt;uses-permission android:name="android.permission.INTERNET"/&gt;
&lt;application <br>android:allowBackup="true" <br>android:icon="@mipmap/ic_launcher" <br>android:label="@string/app_name" <br>android:theme="@style/AppTheme"&gt;
<br>&lt;activity <br>android:name="com.chillcoding.hello"/&gt;
&lt;/manifest&gt;
</code>
</p>
<h4>Next part</h4>
<a href="file:///android_asset/1D-firstproject.html">First project.</a>
</body>
</html>
